-- Crashsites
-- by Hansi-TWZ
-- DE333-SERVER.EU

local math_random = math.random
local ships = {"big-ship-wreck-1", "big-ship-wreck-2", "big-ship-wreck-3"}	

function crashsite(event)
	local ship_raffle_SMALL = {}
	local ship_loot_SMALL = {			
		{{name = "submachine-gun", count = math_random(1,3)}, weight = 3, evolution_min = 0.0, evolution_max = 0.1},		
		{{name = "slowdown-capsule", count = math_random(32,50)}, weight = 1, evolution_min = 0.3, evolution_max = 0.7},
		{{name = "poison-capsule", count = math_random(32,50)}, weight = 3, evolution_min = 0.3, evolution_max = 1},		
		--{{name = "uranium-cannon-shell", count = math_random(16,32)}, weight = 5, evolution_min = 0.6, evolution_max = 1},
		--{{name = "cannon-shell", count = math_random(16,32)}, weight = 5, evolution_min = 0.4, evolution_max = 0.7},
		--{{name = "explosive-uranium-cannon-shell", count = math_random(16,32)}, weight = 5, evolution_min = 0.6, evolution_max = 1},
		--{{name = "explosive-cannon-shell", count = math_random(16,32)}, weight = 5, evolution_min = 0.4, evolution_max = 0.8},
		{{name = "shotgun", count = 1}, weight = 2, evolution_min = 0.0, evolution_max = 0.2},
		{{name = "shotgun-shell", count = math_random(16,32)}, weight = 5, evolution_min = 0.0, evolution_max = 0.2},
		{{name = "combat-shotgun", count = 1}, weight = 3, evolution_min = 0.3, evolution_max = 0.8},
		{{name = "piercing-shotgun-shell", count = math_random(16,32)}, weight = 10, evolution_min = 0.2, evolution_max = 1},
		{{name = "flamethrower", count = 1}, weight = 3, evolution_min = 0.3, evolution_max = 0.6},
		{{name = "flamethrower-ammo", count = math_random(16,32)}, weight = 5, evolution_min = 0.3, evolution_max = 1},
		{{name = "rocket-launcher", count = 1}, weight = 3, evolution_min = 0.2, evolution_max = 0.6},
		{{name = "rocket", count = math_random(16,32)}, weight = 5, evolution_min = 0.2, evolution_max = 0.7},		
		{{name = "explosive-rocket", count = math_random(16,32)}, weight = 5, evolution_min = 0.3, evolution_max = 1},
		--{{name = "land-mine", count = math_random(16,32)}, weight = 5, evolution_min = 0.2, evolution_max = 0.7},
		--{{name = "grenade", count = math_random(16,32)}, weight = 5, evolution_min = 0.0, evolution_max = 0.5},
		{{name = "cluster-grenade", count = math_random(32,50)}, weight = 5, evolution_min = 0.4, evolution_max = 1},
		--{{name = "firearm-magazine", count = math_random(32,128)}, weight = 5, evolution_min = 0, evolution_max = 0.3},
		--{{name = "piercing-rounds-magazine", count = math_random(32,128)}, weight = 5, evolution_min = 0.1, evolution_max = 0.8},
		{{name = "uranium-rounds-magazine", count = math_random(180,200)}, weight = 5, evolution_min = 0.5, evolution_max = 1},
		{{name = "railgun", count = 1}, weight = 1, evolution_min = 0.2, evolution_max = 1},
		{{name = "railgun-dart", count = math_random(180,200)}, weight = 3, evolution_min = 0.2, evolution_max = 0.7},
		{{name = "defender-capsule", count = math_random(32,50)}, weight = 2, evolution_min = 0.0, evolution_max = 0.7},
		{{name = "distractor-capsule", count = math_random(32,50)}, weight = 2, evolution_min = 0.2, evolution_max = 1},
		{{name = "destroyer-capsule", count = math_random(32,50)}, weight = 2, evolution_min = 0.3, evolution_max = 1},
		--{{name = "atomic-bomb", count = math_random(8,16)}, weight = 1, evolution_min = 0.3, evolution_max = 1},		
		--{{name = "light-armor", count = 1}, weight = 3, evolution_min = 0, evolution_max = 0.1},		
		--{{name = "heavy-armor", count = 1}, weight = 3, evolution_min = 0.1, evolution_max = 0.3},
		{{name = "modular-armor", count = 1}, weight = 2, evolution_min = 0.2, evolution_max = 0.6},
		{{name = "power-armor", count = 1}, weight = 2, evolution_min = 0.4, evolution_max = 1},
		{{name = "power-armor-mk2", count = 1}, weight = 1, evolution_min = 0.9, evolution_max = 1},
		--{{name = "battery-equipment", count = 1}, weight = 2, evolution_min = 0.3, evolution_max = 0.7},
		{{name = "battery-mk2-equipment", count = 1}, weight = 2, evolution_min = 0.6, evolution_max = 1},
		{{name = "belt-immunity-equipment", count = 1}, weight = 1, evolution_min = 0.3, evolution_max = 1},
		--{{name = "solar-panel-equipment", count = math_random(1,4)}, weight = 5, evolution_min = 0.3, evolution_max = 0.8},
		{{name = "discharge-defense-equipment", count = 1}, weight = 1, evolution_min = 0.5, evolution_max = 0.8},
		--{{name = "energy-shield-equipment", count = math_random(1,2)}, weight = 2, evolution_min = 0.3, evolution_max = 0.8},
		{{name = "energy-shield-mk2-equipment", count = 1}, weight = 2, evolution_min = 0.7, evolution_max = 1},
		{{name = "exoskeleton-equipment", count = 1}, weight = 1, evolution_min = 0.3, evolution_max = 1},
		{{name = "fusion-reactor-equipment", count = 1}, weight = 1, evolution_min = 0.5, evolution_max = 1},
		{{name = "night-vision-equipment", count = 1}, weight = 1, evolution_min = 0.3, evolution_max = 0.8},
		{{name = "personal-laser-defense-equipment", count = 1}, weight = 2, evolution_min = 0.5, evolution_max = 1},
		{{name = "exoskeleton-equipment", count = 1}, weight = 1, evolution_min = 0.3, evolution_max = 1},
						
		
		--{{name = "iron-gear-wheel", count = math_random(80,100)}, weight = 3, evolution_min = 0.0, evolution_max = 0.3},
		--{{name = "copper-cable", count = math_random(100,200)}, weight = 3, evolution_min = 0.0, evolution_max = 0.3},
		--{{name = "engine-unit", count = math_random(16,32)}, weight = 2, evolution_min = 0.1, evolution_max = 0.5},
		--{{name = "electric-engine-unit", count = math_random(16,32)}, weight = 2, evolution_min = 0.4, evolution_max = 0.8},
		--{{name = "battery", count = math_random(50,150)}, weight = 2, evolution_min = 0.3, evolution_max = 0.8},
		--{{name = "advanced-circuit", count = math_random(50,150)}, weight = 3, evolution_min = 0.4, evolution_max = 1},
		--{{name = "electronic-circuit", count = math_random(50,150)}, weight = 3, evolution_min = 0.0, evolution_max = 0.4},
		--{{name = "processing-unit", count = math_random(50,150)}, weight = 3, evolution_min = 0.7, evolution_max = 1},
		--{{name = "explosives", count = math_random(40,50)}, weight = 10, evolution_min = 0.0, evolution_max = 1},
		--{{name = "lubricant-barrel", count = math_random(4,10)}, weight = 1, evolution_min = 0.3, evolution_max = 0.5},
		{{name = "rocket-fuel", count = math_random(8,10)}, weight = 2, evolution_min = 0.3, evolution_max = 0.7},
		--{{name = "computer", count = 1}, weight = 2, evolution_min = 0, evolution_max = 1},
		--{{name = "steel-plate", count = math_random(25,75)}, weight = 2, evolution_min = 0.1, evolution_max = 0.3},
		{{name = "nuclear-fuel", count = 1}, weight = 5, evolution_min = 0.7, evolution_max = 1},
				
		--{{name = "burner-inserter", count = math_random(8,16)}, weight = 3, evolution_min = 0.0, evolution_max = 0.1},
		--{{name = "inserter", count = math_random(8,16)}, weight = 3, evolution_min = 0.0, evolution_max = 0.4},
		{{name = "long-handed-inserter", count = math_random(8,16)}, weight = 3, evolution_min = 0.0, evolution_max = 0.4},		
		{{name = "fast-inserter", count = math_random(8,16)}, weight = 3, evolution_min = 0.1, evolution_max = 1},
		{{name = "filter-inserter", count = math_random(8,16)}, weight = 1, evolution_min = 0.2, evolution_max = 1},		
		{{name = "stack-filter-inserter", count = math_random(15,50)}, weight = 1, evolution_min = 0.4, evolution_max = 1},
		{{name = "stack-inserter", count = math_random(15,50)}, weight = 3, evolution_min = 0.3, evolution_max = 1},				
		--{{name = "small-electric-pole", count = math_random(16,24)}, weight = 3, evolution_min = 0.0, evolution_max = 0.3},
		{{name = "medium-electric-pole", count = math_random(15,50)}, weight = 3, evolution_min = 0.2, evolution_max = 1},
		{{name = "big-electric-pole", count = math_random(15,50)}, weight = 3, evolution_min = 0.3, evolution_max = 1},
		{{name = "substation", count = math_random(15,50)}, weight = 3, evolution_min = 0.5, evolution_max = 1},
		--{{name = "wooden-chest", count = math_random(16,24)}, weight = 3, evolution_min = 0.0, evolution_max = 0.2},
		--{{name = "iron-chest", count = math_random(4,8)}, weight = 3, evolution_min = 0.1, evolution_max = 0.4},
		{{name = "steel-chest", count = math_random(15,50)}, weight = 3, evolution_min = 0.3, evolution_max = 1},		
		--{{name = "small-lamp", count = math_random(16,32)}, weight = 3, evolution_min = 0.1, evolution_max = 0.3},
		--{{name = "rail", count = math_random(25,75)}, weight = 3, evolution_min = 0.1, evolution_max = 0.6},
		--{{name = "assembling-machine-1", count = math_random(2,4)}, weight = 3, evolution_min = 0.0, evolution_max = 0.3},
		{{name = "assembling-machine-2", count = math_random(2,4)}, weight = 3, evolution_min = 0.2, evolution_max = 0.8},
		{{name = "assembling-machine-3", count = math_random(15,30)}, weight = 3, evolution_min = 0.5, evolution_max = 1},
		{{name = "accumulator", count = math_random(4,8)}, weight = 3, evolution_min = 0.4, evolution_max = 1},
		--{{name = "offshore-pump", count = math_random(1,3)}, weight = 2, evolution_min = 0.0, evolution_max = 0.1},
		{{name = "beacon", count = math_random(5,15)}, weight = 3, evolution_min = 0.7, evolution_max = 1},
		--{{name = "boiler", count = math_random(4,8)}, weight = 3, evolution_min = 0.0, evolution_max = 0.3},
		--{{name = "steam-engine", count = math_random(2,4)}, weight = 3, evolution_min = 0.0, evolution_max = 0.5},
		--{{name = "steam-turbine", count = math_random(1,2)}, weight = 2, evolution_min = 0.6, evolution_max = 1},
		--{{name = "nuclear-reactor", count = 1}, weight = 1, evolution_min = 0.6, evolution_max = 1},
		{{name = "centrifuge", count = math_random(5,10)}, weight = 1, evolution_min = 0.6, evolution_max = 1},
		{{name = "heat-pipe", count = math_random(5,10)}, weight = 2, evolution_min = 0.5, evolution_max = 1},
		{{name = "heat-exchanger", count = math_random(5,10)}, weight = 2, evolution_min = 0.5, evolution_max = 1},
		--{{name = "arithmetic-combinator", count = math_random(8,16)}, weight = 1, evolution_min = 0.1, evolution_max = 1},
		--{{name = "constant-combinator", count = math_random(8,16)}, weight = 1, evolution_min = 0.1, evolution_max = 1},
		--{{name = "decider-combinator", count = math_random(8,16)}, weight = 1, evolution_min = 0.1, evolution_max = 1},
		--{{name = "power-switch", count = math_random(1,2)}, weight = 1, evolution_min = 0.1, evolution_max = 1},		
		--{{name = "programmable-speaker", count = math_random(4,8)}, weight = 1, evolution_min = 0.1, evolution_max = 1},
		--{{name = "green-wire", count = math_random(50,99)}, weight = 1, evolution_min = 0.1, evolution_max = 1},
		--{{name = "red-wire", count = math_random(50,99)}, weight = 1, evolution_min = 0.1, evolution_max = 1},
		{{name = "chemical-plant", count = math_random(3,10)}, weight = 3, evolution_min = 0.3, evolution_max = 1},
		--{{name = "burner-mining-drill", count = math_random(2,4)}, weight = 3, evolution_min = 0.0, evolution_max = 0.2},
		--{{name = "electric-mining-drill", count = math_random(2,4)}, weight = 3, evolution_min = 0.2, evolution_max = 0.6},		
		{{name = "express-transport-belt", count = math_random(80,100)}, weight = 3, evolution_min = 0.5, evolution_max = 1},
		{{name = "express-underground-belt", count = math_random(30,50)}, weight = 3, evolution_min = 0.5, evolution_max = 1},		
		{{name = "express-splitter", count = math_random(30,50)}, weight = 3, evolution_min = 0.5, evolution_max = 1},
		--{{name = "fast-transport-belt", count = math_random(25,75)}, weight = 3, evolution_min = 0.2, evolution_max = 0.7},
		--{{name = "fast-underground-belt", count = math_random(4,8)}, weight = 3, evolution_min = 0.2, evolution_max = 0.7},
		--{{name = "fast-splitter", count = math_random(2,4)}, weight = 3, evolution_min = 0.2, evolution_max = 0.3},
		--{{name = "transport-belt", count = math_random(25,75)}, weight = 3, evolution_min = 0, evolution_max = 0.3},
		--{{name = "underground-belt", count = math_random(4,8)}, weight = 3, evolution_min = 0, evolution_max = 0.3},
		--{{name = "splitter", count = math_random(2,4)}, weight = 3, evolution_min = 0, evolution_max = 0.3},		
		--{{name = "oil-refinery", count = math_random(2,4)}, weight = 2, evolution_min = 0.3, evolution_max = 1},
		--{{name = "pipe", count = math_random(30,50)}, weight = 3, evolution_min = 0.0, evolution_max = 0.3},
		--{{name = "pipe-to-ground", count = math_random(4,8)}, weight = 1, evolution_min = 0.2, evolution_max = 0.5},
		--{{name = "pumpjack", count = math_random(1,3)}, weight = 1, evolution_min = 0.3, evolution_max = 0.8},
		--{{name = "pump", count = math_random(1,2)}, weight = 1, evolution_min = 0.3, evolution_max = 0.8},
		--{{name = "solar-panel", count = math_random(8,16)}, weight = 3, evolution_min = 0.4, evolution_max = 0.9},
		{{name = "electric-furnace", count = math_random(15,50)}, weight = 3, evolution_min = 0.5, evolution_max = 1},
		--{{name = "steel-furnace", count = math_random(4,8)}, weight = 3, evolution_min = 0.2, evolution_max = 0.7},
		--{{name = "stone-furnace", count = math_random(8,16)}, weight = 3, evolution_min = 0.0, evolution_max = 0.1},		
		{{name = "radar", count = math_random(3,10)}, weight = 1, evolution_min = 0.1, evolution_max = 0.3},
		--{{name = "rail-signal", count = math_random(8,16)}, weight = 2, evolution_min = 0.2, evolution_max = 0.8},
		--{{name = "rail-chain-signal", count = math_random(8,16)}, weight = 2, evolution_min = 0.2, evolution_max = 0.8},		
		--{{name = "stone-wall", count = math_random(25,75)}, weight = 1, evolution_min = 0.1, evolution_max = 0.5},
		--{{name = "gate", count = math_random(4,8)}, weight = 1, evolution_min = 0.1, evolution_max = 0.5},
		{{name = "storage-tank", count = math_random(3,10)}, weight = 3, evolution_min = 0.3, evolution_max = 0.6},
		{{name = "train-stop", count = math_random(3,10)}, weight = 1, evolution_min = 0.2, evolution_max = 0.7},
		{{name = "express-loader", count = math_random(3,10)}, weight = 1, evolution_min = 0.5, evolution_max = 1},
		{{name = "fast-loader", count = math_random(3,10)}, weight = 1, evolution_min = 0.2, evolution_max = 0.7},
		{{name = "loader", count = math_random(3,10)}, weight = 1, evolution_min = 0.0, evolution_max = 0.5},
		{{name = "lab", count = math_random(1,2)}, weight = 2, evolution_min = 0.0, evolution_max = 0.1},	
		{{name = "roboport", count = math_random(2,4)}, weight = 2, evolution_min = 0.6, evolution_max = 1},
		{{name = "flamethrower-turret", count = math_random(1,3)}, weight = 3, evolution_min = 0.5, evolution_max = 1},		
		{{name = "laser-turret", count = math_random(10,25)}, weight = 3, evolution_min = 0.5, evolution_max = 1},	
		{{name = "gun-turret", count = math_random(10,25)}, weight = 3, evolution_min = 0.2, evolution_max = 0.9},
		
		{{name = "coin", count = math_random(5000,10000)}, weight = 1, evolution_min = 0.8, evolution_max = 1}	
	}
	
	for _, z in pairs (ship_loot_SMALL) do
		for x = 1, z.weight, 1 do
			table.insert(ship_raffle_SMALL, z[1])
		end			
	end
	
	for _, _x in pairs(event.surface.find_entities_filtered({area = event.area, name = {"sand-rock-big"}})) do
		local pos = _x.position
		if math_random(1,256) == 1 then
			local shipSMALL = event.surface.create_entity({name = ships[math_random(1,#ships)], position = _x.position, force = "neutral"})
			local wreckage1 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x-4, _x.position.y+4}, force = "neutral"})
			local wreckage2 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+5, _x.position.y-5}, force = "neutral"})
			local wreckage3 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x-6, _x.position.y+6}, force = "neutral"})
			local wreckage4 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+6, _x.position.y-6}, force = "neutral"})
			local wreckage5 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+11, _x.position.y-6}, force = "neutral"})
			local wreckage6 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x-12, _x.position.y+7}, force = "neutral"})
			local wreckage7 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x-2, _x.position.y+5}, force = "neutral"})
			local wreckage8 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x-6, _x.position.y+2}, force = "neutral"})
			local wreckage9 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+0, _x.position.y+4}, force = "neutral"})
			local wreckage10 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+1, _x.position.y+6}, force = "neutral"})
			local wreckage11 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+3, _x.position.y+9}, force = "neutral"})
			local wreckage12 = event.surface.create_entity({name = "mineable-wreckage", position = {_x.position.x+5, _x.position.y+-9}, force = "neutral"})
			local i = shipSMALL.get_inventory(defines.inventory.chest)
			for x = 1, math_random(3,5), 1 do
				local loot = ship_raffle_SMALL[math_random(1,#ship_raffle_SMALL)]
				i.insert(loot)
			end	
		else
			local rock = event.surface.create_entity({name = "sand-rock-big", position = _x.position, force = "neutral"})
		end
		_x.destroy()
	end
	for _, _x1 in pairs(event.surface.find_entities_filtered({area = event.area, name = {"biter-spawner"}})) do
		local pos = _x1.position
		if math_random(1,96) == 1 then
			local shipSMALL = event.surface.create_entity({name = ships[math_random(1,#ships)], position = _x1.position, force = "neutral"})
			local wreckage1 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x-4, _x1.position.y+4}, force = "neutral"})
			local wreckage2 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+5, _x1.position.y-5}, force = "neutral"})
			local wreckage3 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x-6, _x1.position.y+6}, force = "neutral"})
			local wreckage4 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+6, _x1.position.y-6}, force = "neutral"})
			local wreckage5 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+11, _x1.position.y-6}, force = "neutral"})
			local wreckage6 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x-12, _x1.position.y+7}, force = "neutral"})
			local wreckage7 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x-2, _x1.position.y+5}, force = "neutral"})
			local wreckage8 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x-6, _x1.position.y+2}, force = "neutral"})
			local wreckage9 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+0, _x1.position.y+4}, force = "neutral"})
			local wreckage10 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+1, _x1.position.y+6}, force = "neutral"})
			local wreckage11 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+3, _x1.position.y+9}, force = "neutral"})
			local wreckage12 = event.surface.create_entity({name = "mineable-wreckage", position = {_x1.position.x+5, _x1.position.y+-9}, force = "neutral"})
			local i = shipSMALL.get_inventory(defines.inventory.chest)
			for x = 1, math_random(3,5), 1 do
				local loot = ship_raffle_SMALL[math_random(1,#ship_raffle_SMALL)]
				i.insert(loot)
			end	
		else
			local biter_spawner = event.surface.create_entity({name = "biter-spawner", position = _x1.position})
		end
		_x1.destroy()
	end
	for _, _x2 in pairs(event.surface.find_entities_filtered({area = event.area, name = {"spitter-spawner"}})) do
		local pos = _x2.position
		if math_random(1,64) == 1 then
			local shipSMALL = event.surface.create_entity({name = ships[math_random(1,#ships)], position = _x2.position, force = "neutral"})
			local wreckage1 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x-4, _x2.position.y+4}, force = "neutral"})
			local wreckage2 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+5, _x2.position.y-5}, force = "neutral"})
			local wreckage3 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x-6, _x2.position.y+6}, force = "neutral"})
			local wreckage4 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+6, _x2.position.y-6}, force = "neutral"})
			local wreckage5 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+11, _x2.position.y-6}, force = "neutral"})
			local wreckage6 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x-12, _x2.position.y+7}, force = "neutral"})
			local wreckage7 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x-2, _x2.position.y+5}, force = "neutral"})
			local wreckage8 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x-6, _x2.position.y+2}, force = "neutral"})
			local wreckage9 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+0, _x2.position.y+4}, force = "neutral"})
			local wreckage10 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+1, _x2.position.y+6}, force = "neutral"})
			local wreckage11 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+3, _x2.position.y+9}, force = "neutral"})
			local wreckage12 = event.surface.create_entity({name = "mineable-wreckage", position = {_x2.position.x+5, _x2.position.y+-9}, force = "neutral"})
			local i = shipSMALL.get_inventory(defines.inventory.chest)
			for x = 1, math_random(3,5), 1 do
				local loot = ship_raffle_SMALL[math_random(1,#ship_raffle_SMALL)]
				i.insert(loot)
			end	
		else
			local biter_spawner = event.surface.create_entity({name = "spitter-spawner", position = _x2.position})
		end
		_x2.destroy()
	end		
end