local items = {}
--Use this for DE333-MOD
if ENABLE_DE333_MOD then
	items.spawn = {
		{price = {{"coin", 1}}, offer = {type = 'give-item', item = 'raw-fish', count = 10}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'rail', count = 4}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'rail-signal', count = 2}},
		{price = {{"coin", 15}}, offer = {type = 'give-item', item = 'rail-chain-signal', count = 2}},
		{price = {{"coin", 30}}, offer = {type = 'give-item', item = 'train-stop'}},
		{price = {{"coin", 50}}, offer = {type = 'give-item', item = 'locomotive'}},
		{price = {{"coin", 35}}, offer = {type = 'give-item', item = 'cargo-wagon'}},
		{price = {{"coin", 5}}, offer = {type = 'give-item', item = 'red-wire', count = 1}},
		{price = {{"coin", 5}}, offer = {type = 'give-item', item = 'green-wire', count = 1}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'decider-combinator'}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'arithmetic-combinator'}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'constant-combinator'}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'programmable-speaker'}},
		{price = {{"coin", 5}}, offer = {type = 'give-item', item = 'small-lamp'}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'grenade'}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'land-mine'}},
		{price = {{"coin", 1}}, offer = {type = 'give-item', item = 'explosives', count = 2}},	
		{price = {{"coin", 20}}, offer = {type = 'give-item', item = 'cliff-explosives'}},
		{price = {{"wood", 100}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"iron-ore", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},	
		{price = {{"copper-ore", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"stone", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"coal", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"uranium-ore", 50}}, offer = {type = 'give-item', item = 'coin', count = 4}},
		{price = {{"burner-mining-drill", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 4}},
		{price = {{"burner-inserter", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 1}},
		{price = {{"iron-chest", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 1}},
		{price = {{"boiler", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 1}},
		{price = {{"steam-engine", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 10}},
		{price = {{"steel-furnace", 1}}, offer = {type = 'give-item', item = 'steel-plate', count = 1}}
	}
else
--Use this for Vanilla
	items.spawn = {
		{price = {{"coin", 1}}, offer = {type = 'give-item', item = 'raw-fish', count = 10}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'rail', count = 4}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'rail-signal', count = 2}},
		{price = {{"coin", 15}}, offer = {type = 'give-item', item = 'rail-chain-signal', count = 2}},
		{price = {{"coin", 30}}, offer = {type = 'give-item', item = 'train-stop'}},
		{price = {{"coin", 50}}, offer = {type = 'give-item', item = 'locomotive'}},
		{price = {{"coin", 35}}, offer = {type = 'give-item', item = 'cargo-wagon'}},
		{price = {{"coin", 5}}, offer = {type = 'give-item', item = 'red-wire', count = 1}},
		{price = {{"coin", 5}}, offer = {type = 'give-item', item = 'green-wire', count = 1}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'decider-combinator'}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'arithmetic-combinator'}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'constant-combinator'}},
		{price = {{"coin", 8}}, offer = {type = 'give-item', item = 'programmable-speaker'}},
		{price = {{"coin", 5}}, offer = {type = 'give-item', item = 'small-lamp'}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'grenade'}},
		{price = {{"coin", 10}}, offer = {type = 'give-item', item = 'land-mine'}},
		{price = {{"coin", 1}}, offer = {type = 'give-item', item = 'explosives', count = 2}},	
		{price = {{"coin", 20}}, offer = {type = 'give-item', item = 'cliff-explosives'}},
		{price = {{"wood", 100}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"iron-ore", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},	
		{price = {{"copper-ore", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"stone", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"coal", 50}}, offer = {type = 'give-item', item = 'coin', count = 1}},
		{price = {{"uranium-ore", 50}}, offer = {type = 'give-item', item = 'coin', count = 4}},
		{price = {{"burner-mining-drill", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 4}},
		{price = {{"burner-inserter", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 1}},
		{price = {{"iron-chest", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 1}},
		{price = {{"boiler", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 1}},
		{price = {{"steam-engine", 1}}, offer = {type = 'give-item', item = 'iron-plate', count = 10}},
		{price = {{"steel-furnace", 1}}, offer = {type = 'give-item', item = 'steel-plate', count = 1}}
	}
end
return items