-- spawners release biters on death -- by mewmew

local math_random = math.random

local biter_building_inhabitants = {
	[1] = {{"small-biter",2,4}},
	[2] = {{"small-biter",3,6}},
	[3] = {{"small-biter",2,4},{"medium-biter",1,2}},
	[4] = {{"small-biter",2,4},{"medium-biter",2,4}},
	[5] = {{"small-biter",1,2},{"medium-biter",3,5}},
	[6] = {{"small-biter",1,2},{"medium-biter",3,5},{"big-biter",1,2}},
	[7] = {{"medium-biter",4,6},{"big-biter",1,2}},
	[8] = {{"medium-biter",4,6},{"big-biter",2,4}},
	[9] = {{"medium-biter",1,2},{"big-biter",4,8}},
	[10] = {{"big-biter",2,4},{"behemoth-biter",1,2}}
}

function spawners_contain_biters(event)	
	if event.entity.type ~= "unit-spawner" then return end
	local e = math.ceil(game.forces.enemy.evolution_factor*10, 0)		
	
	for _, t in pairs (biter_building_inhabitants[e]) do		
	for x = 1, math_random(t[2],t[3]), 1 do
		local p = event.entity.surface.find_non_colliding_position(t[1] , event.entity.position, 6, 1)			
			if p then event.entity.surface.create_entity {name=t[1], position=p} end
		end
	end
end
